summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yth - Arnaud2017-09-22 22:58:03 +0200
committer David Spencer2017-09-22 22:58:34 +0200
commit561f404f0b3e2de389065c05963d2eadeccb22ef (patch)
tree067d4b6104977d4179a1a6e8b0df4554974a72c8
parent7b136d4cfb4e2c47241e8c0d82e603172cf4dc87 (diff)
downloadslackbuilds-561f404f0b3e2de389065c05963d2eadeccb22ef.tar.gz
development/tiled: Added (Tiled map editor), renamed from tiled-qt.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--development/tiled/README10
-rw-r--r--development/tiled/doinst.sh13
-rw-r--r--development/tiled/slack-desc19
-rw-r--r--development/tiled/tiled.SlackBuild112
-rw-r--r--development/tiled/tiled.info10
-rw-r--r--development/tiled/tiled_lib64.patch138
6 files changed, 302 insertions, 0 deletions
diff --git a/development/tiled/README b/development/tiled/README
new file mode 100644
index 0000000000..e2fd7d6636
--- /dev/null
+++ b/development/tiled/README
@@ -0,0 +1,10 @@
+Tiled is a general purpose tile map editor. It is meant to be used for
+editing maps of any tile-based game, be it an RPG, a platformer or a
+Breakout clone.
+
+Tiled is very flexible, for example there are no restrictions on map
+size, tile size or the number of layers or tiles. Also, it allows
+arbitrary properties to be set on the map, its layers, the tiles or on
+the objects. Its map format (TMX) is relatively easy to understand and
+allows a map to use multiple tilesets while also allowing each tileset
+to grow or shrink as necessary later.
diff --git a/development/tiled/doinst.sh b/development/tiled/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/development/tiled/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/tiled/slack-desc b/development/tiled/slack-desc
new file mode 100644
index 0000000000..ec8a11055b
--- /dev/null
+++ b/development/tiled/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tiled: tiled (Tiled map editor)
+tiled:
+tiled: Tiled is a general purpose tile map editor. It is meant to be used
+tiled: for editing maps of any tile-based game, be it an RPG, a platformer
+tiled: or a Breakout clone.
+tiled: Tiled is very flexible, for example there are no restrictions on map
+tiled: size, tile size or the number of layers or tiles. Also, it allows
+tiled: arbitrary properties to be set on the map, its layers, the tiles or
+tiled: on the objects.
+tiled:
+tiled: http://www.mapeditor.org
diff --git a/development/tiled/tiled.SlackBuild b/development/tiled/tiled.SlackBuild
new file mode 100644
index 0000000000..49ea55322d
--- /dev/null
+++ b/development/tiled/tiled.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for tiled
+
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+
+# Copyright 2012 Dugan Chen Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tiled
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# patch to force the right library path to be used for libtiled plugins directory
+# it was always using ../lib/tiled/plugins/ even on x86_64 where the plugins were
+# stored by the installer itself on $LIBDIR/tiled/plugins/
+# This patch is therefore only useful when $LIBDIR=/usr/lib64/
+# Compilation itself would break as linking was done with ../lib/ even when the libs
+# are stored on ../lib64/
+if [ "$ARCH" = "x86_64" ]; then
+ patch -p0 < $CWD/tiled_lib64.patch
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ qmake-qt5 -r PREFIX=/usr LIBDIR=/usr/lib${LIBDIRSUFFIX} RPATH=no USE_FHS_PLUGIN_PATH=yes
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING LICENSE* *.md docs/ examples/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tiled/tiled.info b/development/tiled/tiled.info
new file mode 100644
index 0000000000..e6b89e4103
--- /dev/null
+++ b/development/tiled/tiled.info
@@ -0,0 +1,10 @@
+PRGNAM="tiled"
+VERSION="1.0.3"
+HOMEPAGE="http://www.mapeditor.org"
+DOWNLOAD="https://github.com/bjorn/tiled/archive/v1.0.3/tiled-1.0.3.tar.gz"
+MD5SUM="0d5b27bc14437f0acffd2aa056093374"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/development/tiled/tiled_lib64.patch b/development/tiled/tiled_lib64.patch
new file mode 100644
index 0000000000..01d778bc72
--- /dev/null
+++ b/development/tiled/tiled_lib64.patch
@@ -0,0 +1,138 @@
+diff -Naur src/libtiled/libtiled.pro src/libtiled/libtiled.pro
+--- src/libtiled/libtiled.pro 2017-09-21 10:28:51.737708697 +0200
++++ src/libtiled/libtiled.pro 2017-09-20 16:53:45.976355498 +0200
+@@ -8,7 +8,7 @@
+ DESTDIR = ../../bin/Tiled.app/Contents/Frameworks
+ QMAKE_LFLAGS_SONAME = -Wl,-install_name,@executable_path/../Frameworks/
+ } else {
+- DESTDIR = ../../lib
++ DESTDIR = ../../lib64
+ }
+ DLLDESTDIR = ../..
+
+diff -Naur src/libtiled/pluginmanager.cpp src/libtiled/pluginmanager.cpp
+--- src/libtiled/pluginmanager.cpp 2017-09-21 10:28:51.739708697 +0200
++++ src/libtiled/pluginmanager.cpp 2017-09-21 09:25:05.377930367 +0200
+@@ -201,7 +201,7 @@
+ #elif defined(TILED_PLUGIN_DIR)
+ QString pluginPath = QLatin1String(TILED_PLUGIN_DIR);
+ #else
+- pluginPath += QLatin1String("/../lib/tiled/plugins");
++ pluginPath += QLatin1String("/../lib64/tiled/plugins");
+ #endif
+
+ // Load dynamic plugins
+diff -Naur src/plugins/plugin.pri src/plugins/plugin.pri
+--- src/plugins/plugin.pri 2017-09-21 10:28:51.740708697 +0200
++++ src/plugins/plugin.pri 2017-09-20 16:11:02.307504018 +0200
+@@ -10,7 +10,7 @@
+ } else:macx {
+ DESTDIR = $$OUT_PWD/../../../bin/Tiled.app/Contents/PlugIns
+ } else {
+- DESTDIR = $$OUT_PWD/../../../lib/tiled/plugins
++ DESTDIR = $$OUT_PWD/../../../lib64/tiled/plugins
+ }
+
+ include(../../tiled.pri)
+@@ -21,9 +21,9 @@
+ macx {
+ QMAKE_LIBDIR += $$OUT_PWD/../../../bin/Tiled.app/Contents/Frameworks
+ } else:win32 {
+- LIBS += -L$$OUT_PWD/../../../lib
++ LIBS += -L$$OUT_PWD/../../../lib64
+ } else {
+- QMAKE_LIBDIR += $$OUT_PWD/../../../lib
++ QMAKE_LIBDIR += $$OUT_PWD/../../../lib64
+ }
+
+ # Set rpath so that the plugin will resolve libtiled correctly
+diff -Naur src/tiled/tiled.pro src/tiled/tiled.pro
+--- src/tiled/tiled.pro 2017-09-21 10:28:51.750708696 +0200
++++ src/tiled/tiled.pro 2017-09-20 15:52:06.112569840 +0200
+@@ -58,12 +58,12 @@
+ } else:win32 {
+ LIBS += -L$$OUT_PWD/../../lib
+ } else {
+- QMAKE_LIBDIR = $$OUT_PWD/../../lib $$QMAKE_LIBDIR
++ QMAKE_LIBDIR = $$OUT_PWD/../../lib64 $$QMAKE_LIBDIR
+ }
+
+ # Make sure the Tiled executable can find libtiled
+ !win32:!macx:!cygwin:contains(RPATH, yes) {
+- QMAKE_RPATHDIR += \$\$ORIGIN/../lib
++ QMAKE_RPATHDIR += \$\$ORIGIN/../lib64
+
+ # It is not possible to use ORIGIN in QMAKE_RPATHDIR, so a bit manually
+ QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$$join(QMAKE_RPATHDIR, ":")\'
+diff -Naur src/tmxrasterizer/tmxrasterizer.pro src/tmxrasterizer/tmxrasterizer.pro
+--- src/tmxrasterizer/tmxrasterizer.pro 2017-09-21 11:18:41.212535509 +0200
++++ src/tmxrasterizer/tmxrasterizer.pro 2017-09-21 11:18:29.837536168 +0200
+@@ -19,12 +19,12 @@
+ } else:win32 {
+ LIBS += -L$$OUT_PWD/../../lib
+ } else {
+- QMAKE_LIBDIR = $$OUT_PWD/../../lib $$QMAKE_LIBDIR
++ QMAKE_LIBDIR = $$OUT_PWD/../../lib64 $$QMAKE_LIBDIR
+ }
+
+ # Make sure the executable can find libtiled
+ !win32:!macx:!cygwin:contains(RPATH, yes) {
+- QMAKE_RPATHDIR += \$\$ORIGIN/../lib
++ QMAKE_RPATHDIR += \$\$ORIGIN/../lib64
+
+ # It is not possible to use ORIGIN in QMAKE_RPATHDIR, so a bit manually
+ QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$$join(QMAKE_RPATHDIR, ":")\'
+diff -Naur src/tmxviewer/tmxviewer.pro src/tmxviewer/tmxviewer.pro
+--- src/tmxviewer/tmxviewer.pro 2017-09-21 11:18:12.497537173 +0200
++++ src/tmxviewer/tmxviewer.pro 2017-09-21 11:17:51.468538391 +0200
+@@ -19,12 +19,12 @@
+ } else:win32 {
+ LIBS += -L$$OUT_PWD/../../lib
+ } else {
+- QMAKE_LIBDIR = $$OUT_PWD/../../lib $$QMAKE_LIBDIR
++ QMAKE_LIBDIR = $$OUT_PWD/../../lib64 $$QMAKE_LIBDIR
+ }
+
+ # Make sure the executable can find libtiled
+ !win32:!macx:!cygwin:contains(RPATH, yes) {
+- QMAKE_RPATHDIR += \$\$ORIGIN/../lib
++ QMAKE_RPATHDIR += \$\$ORIGIN/../lib64
+
+ # It is not possible to use ORIGIN in QMAKE_RPATHDIR, so a bit manually
+ QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$$join(QMAKE_RPATHDIR, ":")\'
+diff -Naur src/terraingenerator/terraingenerator.pro src/terraingenerator/terraingenerator.pro
+--- src/terraingenerator/terraingenerator.pro 2017-08-29 09:06:51.000000000 +0200
++++ src/terraingenerator/terraingenerator.pro 2017-09-21 11:19:06.508534044 +0200
+@@ -19,12 +19,12 @@
+ } else:win32 {
+ LIBS += -L$$OUT_PWD/../../lib
+ } else {
+- QMAKE_LIBDIR_FLAGS += -L$$OUT_PWD/../../lib
++ QMAKE_LIBDIR_FLAGS += -L$$OUT_PWD/../../lib64
+ }
+
+ # Make sure the executable can find libtiled
+ !win32:!macx:!cygwin:contains(RPATH, yes) {
+- QMAKE_RPATHDIR += \$\$ORIGIN/../lib
++ QMAKE_RPATHDIR += \$\$ORIGIN/../lib64
+
+ # It is not possible to use ORIGIN in QMAKE_RPATHDIR, so a bit manually
+ QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$$join(QMAKE_RPATHDIR, ":")\'
+diff -Naur src/automappingconverter/automappingconverter.pro src/automappingconverter/automappingconverter.pro
+--- src/automappingconverter/automappingconverter.pro 2017-09-21 12:00:09.574391353 +0200
++++ src/automappingconverter/automappingconverter.pro 2017-09-21 11:59:56.557392107 +0200
+@@ -12,12 +12,12 @@
+ } else:win32 {
+ LIBS += -L$$OUT_PWD/../../lib
+ } else {
+- QMAKE_LIBDIR = $$OUT_PWD/../../lib $$QMAKE_LIBDIR
++ QMAKE_LIBDIR = $$OUT_PWD/../../lib64 $$QMAKE_LIBDIR
+ }
+
+ # Make sure the executable can find libtiled
+ !win32:!macx:!cygwin:contains(RPATH, yes) {
+- QMAKE_RPATHDIR += \$\$ORIGIN/../lib
++ QMAKE_RPATHDIR += \$\$ORIGIN/../lib64
+
+ # It is not possible to use ORIGIN in QMAKE_RPATHDIR, so a bit manually
+ QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$$join(QMAKE_RPATHDIR, ":")\'